"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.verifyJWT = void 0;
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const jwk_to_pem_1 = __importDefault(require("jwk-to-pem"));
function verifyJWT(verification) {
    const { token, key, ignoreExpiration } = verification;
    const pem = (0, jwk_to_pem_1.default)(key);
    const decoded = jsonwebtoken_1.default.verify(token, pem, {
        ignoreExpiration,
    });
    return decoded;
}
exports.verifyJWT = verifyJWT;
//# sourceMappingURL=verifyJWT.js.map